2005-08-01 20:28  zarne

	* jack_prepare.py: - 79_verbose_submit_error.patch: verbose error
	message if freedb data is not submittable

2005-07-31 04:04  zarne

	* jack_helpers.py, jack_main_loop.py, jack_status.py: - applied
	78_ripper_parsing.patch which makes parsing of the ripper's output
	more robust. I got a few bug reports for this but couldn't
	reproduce it. Martin Michlmayr made this patch.

2005-07-31 03:52  zarne

	* jack_tag.py: - small fix for 77_exec_environ.patch

2005-07-31 03:27  zarne

	* jack_helpers.py: - fixed: remove double device =
	cdrom.open(cf['_cd_device'])

2005-07-31 03:11  zarne

	* jack_helpers.py: - applied 59_ogg_parsing.patch which makes
	parsing of the ogg encoder's output more robust. again, Martin
	Michlmayr did all the work.

2005-07-31 03:06  zarne

	* jack, jack.man, jack_tag.py: - applied 77_exec_environ.patch
	which sets some environment variable for called scripts/programs to
	use. see contrib/exec_vorbisgain for an example. another patch by
	Martin Michlmayr, closes Bug#222784.

2005-07-31 02:38  zarne

	* jack.man, jack_config.py, jack_freedb.py, jack_prepare.py: -
	applied 76_submit_updated_freedb.patch -- if freedb data is edited
	with --edit-freedb, a list of changes is displayed and the user is
	asked to submit the data back to freedb. another patch by Martin
	Michlmayr.
	
	- --submit (freedb submit via http) is now set to test-mode if
	--debug is on
	
	- renamed --edit-cddb to --edit-freedb. this breaks the UI but
	things have to be consistent.

2005-07-31 01:33  zarne

	* jack_init.py, jack_tag.py: - applied 64_flac_tagging.patch --
	FLAC files are now tagged as well. Thanks again to Martin
	Michlmayr. Closes Bug#320168.

2005-07-31 01:21  zarne

	* jack.man, jack_config.py: - document that --write-id3v2 no longer
	writes an id3v1 tag as well

2005-07-31 01:11  zarne

	* jack.man: - applied 72_flac_man_page.patch which documents that
	we support FLAC. Thanks to Martin Michlmayr for the patch. Closes
	Bug#319937.

2005-07-31 01:04  zarne

	* jack_tag.py: - utf-8 tags can break id3v1, we'll print a proper
	error message in this case. I'll try to find a better way to handle
	this. In the mean time, I use Martin Michlmayr's
	61_utf8_unicode_id3v1_fix.patch.

2005-07-30 20:55  zarne

	* jack_helpers.py: - make parsing of the flac encoder's output more
	robust.
	
	- thanks to Martin Michlmayr for 57_flac_parsing.patch. Closes
	Bug#312731.

2005-07-30 20:43  zarne

	* jack_checkopts.py: - $EMAIL is now used as well for submitting
	freedb data
	
	- note that you can use jack --my-mail foobar@example.com --save
	
	- thanks to Martin Michlmayr for 55_freedb_email.patch. Closes
	Bug#276937

2005-07-30 20:30  zarne

	* jack.man: - put --rename-num in the manpage. thanks to Y Giridhar
	Appaji Nag for 52_add_rename_num.patch. Really closes Bug#293623.

2005-07-30 20:24  zarne

	* jack_utils.py: - show error messages when trying to create a
	directory with an invalid name
	
	- thanks to Martin Michlmayr for 51_error_dir_rename.patch. Closes
	Bug#303273.

2005-07-30 20:17  zarne

	* jack_utils.py: - fixed --help and --longhelp to show toggles
	consistently as [yes] and [no]
	
	- thanks again to Martin Michlmayr for the patch. closes
	Bug#293340.

2005-07-30 20:03  zarne

	* jack, jack_argv.py: - --help and --longhelp show the defaults
	after the rest of the command line has been parsed
	
	- thanks to Martin Michlmayr for the patch. closes Bug#293339.

2005-07-30 19:48  zarne

	* jack_helpers.py: - oggenc now supports fixed bitrate (which is
	still vbr...)
	
	- this closes Bug#293336 (and Bug#293334); obsoletes
	54_oggenc_fixed_bitrate.patch

2005-07-30 19:36  zarne

	* jack_argv.py, jack_config.py: - in --help, only show --bitrate
	for cbr and --quality for vbr. --longhelp always shows both
	
	- this closes Bug#293335 and obsoletes 53_help_show_quality.patch

2005-07-30 19:20  zarne

	* README, jack, jack.man, jack_config.py, jack_display.py,
	jack_freedb.py, jack_functions.py, jack_globals.py, jack_init.py,
	jack_prepare.py, jack_ripstuff.py, jack_tag.py, jack_utils.py,
	jack_workers.py, doc/INSTALL: - applied 60_utf8_support.patch which
	closes Bug#266052. Changes:
	
	- now uses the eyeD3 library for tagging both id3v1 and id3v2
	
	- freedb queries are now done with protocol lvl 6. so we get utf-8
	
	- I changed the patch a bit to work around a bug in eyeD3 - id3v1
	genre defaulted to blues

2005-07-30 15:33  zarne

	* jack_tag.py: - applied 36_tag_clarify_error.patch which explains
	failed renaming better

2005-07-30 02:53  zarne

	* jack_config.py: - make --rename-num an option again. closes
	Bug#293623.

2005-07-30 02:30  zarne

	* jack_functions.py, jack_helpers.py: - more detailed error
	messages when the TOC-reader can't open the cdrom device. Patch
	from Martin Michlmayr, closes Bug#293329.

2005-07-29 23:24  zarne

	* jack_argv.py, jack_checkopts.py, jack_functions.py: - fix typo
	
	- when reading from an image, set read_ahead to 1, or else jack may
	get blocked
	
	- small fix

2005-06-20 22:15  zarne

	* jack.man: - added an example of --replacement-chars and
	--unusable-chars to manpage   (thanks again to Martin M.)

2005-06-20 21:10  zarne

	* jack.man: - another manpage patch (for Bug#314966) by Martin M.
	which	+ fixes the capitalization of "FreeDB"	 + improves some
	wording (towards the end)   + and removes a newline that shouldn't
	be there

2005-06-20 20:50  zarne

	* jack.man, doc/ChangeLog: - add format string description to
	manpage (thanks go to Martin M.)

2004-12-12 22:52  zarne

	* jack_version.py, setup.py: 
	
	- bump version for 3.1.1 release

2004-12-12 05:54  zarne

	* jack.man, jack_config.py, jack_functions.py, jack_helpers.py,
	jack_main_loop.py, jack_t_curses.py: 
	
	- the usage/copyright box stays on top now by default, disable it
	by pressind '?' or with --usage-win=no
	
	- pprint_speed() (internal)
	
	- documentation updates

2004-12-12 03:27  zarne

	* jack_prepare.py: 
	
	- fixed a warning regarding non-audio tracks

2004-12-12 03:03  zarne

	* jack_plugins.py: 
	
	- new plugin architecture (I forgot to include this earlier today)

2004-12-12 03:02  zarne

	* jack, jack.man, jack_checkopts.py, jack_config.py, jack_misc.py,
	jack_t_curses.py, jack_utils.py: 
	
	- fixed --remove-files
	
	- fixed --exec
	
	- help the user if dir_template is longer than scan_dirs
	
	- documentation updates
	
	- allow the dir_template to consist of more than two path elements
	
	- curses: fix dae status display

2004-12-12 01:04  zarne

	* jack.man, jack_config.py, jack_main_loop.py, jack_misc.py,
	jack_t_curses.py: 
	
	- curses: fix display of the special line
	
	- --max-load now takes a float argument
	
	- simplify loadavg()

2004-12-11 23:52  zarne

	* jack_checkopts.py, jack_config.py, jack_main_loop.py,
	jack_prepare.py: 
	
	- 31_wrong_char_in_status.patch
	
	- 18_less_verbose_gen_device_warning.patch
	
	- 28_avoid_empty_USER_LOGNAME.patch

2004-12-11 23:14  zarne

	* setup.py: 
	
	- added the new modules to the setup script

2004-12-11 22:12  zarne

	* example.etc.jackrc: 
	
	- added an example for the global config file /etc/jackrc

2004-12-11 21:57  zarne

	* jack_plugin_cddb.py, jack_plugin_lame.py: 
	
	- added example plugin files

2004-12-11 21:55  zarne

	* jack_checkopts.py, jack_config.py, jack_freedb.py,
	jack_generic.py, jack_globals.py, jack_helpers.py, jack_prepare.py,
	jack_rc.py: 
	
	- new plugin architecture for rippers, encoders and freedb-servers
	(so far)

2004-12-11 19:15  zarne

	* jack_config.py, jack_freedb.py, jack_generic.py,
	jack_t_curses.py, doc/ChangeLog: 
	
	- fixed a curses bug preventing some from ripping CDs with more
	tracks than lines in the terminal
	
	- debug stuff
	
	- cosmetic stuff

2004-11-23 01:06  zarne

	* jack_helpers.py: 
	- remove debug stuff

2004-11-23 00:45  zarne

	* jack.man, jack_argv.py, jack_checkopts.py, jack_config.py,
	jack_freedb.py, jack_workers.py: 
	- manpage updates
	
	- removed --no-various because
	
	- --various=no now actually works
	
	- block more options from being written to jackrc
	
	- --otf works again (but isn't displayed right all the time)

2004-11-22 19:59  zarne

	* jack_helpers.py, jack_main_loop.py, jack_rc.py: 
	- more fixes to cdparanoia status decoding
	
	- jack_rcversion is written to newly created rc-files

2004-11-22 00:34  zarne

	* jack.man, jack_helpers.py, jack_rc.py: 
	- fix creation of ~/.jack3rc
	
	- take all debian updates for the manpage (thank you Michael!)

2004-11-22 00:07  zarne

	* jack_helpers.py, jack_version.py, setup.py, doc/INSTALL: 
	- begin jack 3.1 release cycle
	
	- modest update to INSTALL doc

2004-11-21 23:42  zarne

	* jack_argv.py, jack_checkopts.py, jack_config.py, jack_helpers.py,
	jack_main_loop.py, jack_prepare.py, jack_rc.py, jack_version.py,
	jack_workers.py: 
	- update copyright year(s)
	
	- remove "charset has no effect without a char_filter" warning,
	charset is used by the ogg tagger
	
	- disallow saving of the --dont-work option
	
	- add version-string (and checking) to the rc-files.

2004-11-21 22:44  zarne

	* jack_argv.py, jack_checkopts.py, jack_config.py, jack_helpers.py,
	jack_main_loop.py, jack_prepare.py, jack_rc.py, jack_workers.py: 
	- allow the argument to --quality to be a float. oggenc is fine
	with that, lame seems to truncate the float but works.
	
	- fixed some typos
	
	- fixed --check-toc

2004-11-21 21:33  zarne

	* jack_argv.py, jack_config.py, jack_helpers.py, jack_main_loop.py,
	jack_rc.py: 
	- allow for lists (like --unusable-chars) to be --save'd to
	.jack3rc
	
	- lame encoder now uses --vbr-new
	
	- lame encoder now uses --preset instead of --alt-preset
	
	- fixed the "error decoding status" issue, which I think is
	actually a bug in cdparanoia which outputs lots of invisible junk
	after ripping. The fix may break other helpers, I only tested lame,
	oggenc, cdparanoia and cdda2wav
	
	- added lame-user which uses -V and uses the quality specified with
	--quality
	
	- changed LAME default quality to 6, which will result in 4 being
	used when using --encoder-name lame-user (ignored otherwise)
	
	- cdda2wav now uses the --device, not the --raw-device. Seems to
	work fine.
	
	- cdda2wav now uses -v toc instead of -v 35 (the latter being
	obsolete soon)

2004-11-18 03:08  zarne

	* jack, jack_config.py, jack_helpers.py: 
	- added the option "--query-if-needed" which only queries freedb if
	there is no file called "jack.freed.bak" (which is, among other
	things, the result of a successful freedb-query).

2004-11-17 22:55  zarne

	* jack_argv.py, jack_rc.py: 
	- changed the UI a bit. Options can now be set with --option=value.
	Use "yes" or "no" for booleans. --option alone still toggles the
	current value. Toggeling sounded like a nice idea in the early days
	of jack but now, with 2 rc-files and the command-line things have
	gotten out of hand.
	
	- Booleans are now saved (--save) as option:value in the rc-files.
	Please use that syntax in /etc/jackrc, too. This will hopefully
	bring order to the chaos.

2004-11-17 21:26  zarne

	* jack_ripstuff.py, jack_t_curses.py: 
	- fixed the infamous curses addstr bug. Why did it ever work?

2004-11-10 00:42  zarne

	* jack, jack_CDTime.py, jack_TOC.py, jack_TOCentry.py,
	jack_freedb.py, jack_functions.py, jack_mp3.py, jack_version.py: 
	- re-added those files (I'm running out of brown paper bags)
	
	- cosmetic stuff
	
	- one little bug fixed

2004-08-25 04:36  zarne

	* jack_freedb.py: 
	- fixed http_proxy for --submit

2004-08-25 00:53  zarne

	* jack_CDTime.py, jack_TOC.py, jack_TOCentry.py, jack_checkopts.py,
	jack_display.py, jack_freedb.py, jack_globals.py, jack_mp3.py,
	jack_prepare.py, jack_t_dumb.py, jack_term.py, jack_workers.py: 
	- removed some unused files
	
	- --submit works again
	
	- --mail-submit works again (but use --submit if possible)
	
	- --silent mode works again

2004-03-25 03:55  zarne

	* jack_freedb.py: - "VA" is now recognized as various
	
	- fixed another forgotten cf[] (thanks to Stephan Helma for the
	patch)

2003-12-02 02:49  zarne

	* jack, jack_checkopts.py, jack_config.py, jack_generic.py,
	jack_globals.py, jack_helpers.py: - fixed cdparanoia status decode
	bug (I hope)
	
	- new option --debug, obsoletes DEBUG in jack_generic
	
	- make --my-mail actually work, better sanity check of the address

2003-12-02 01:51  zarne

	* jack, jack_prepare.py, jack_t_curses.py, jack_version.py: - fix a
	free diskspace-related bug
	
	- we're in 2003 now :]
	
	- expand ~ in base_dir so it can be relative to the user's homedir

2003-11-26 19:16  zarne

	* jack_prepare.py, jack_ripstuff.py: - raw_space was moved but I
	forgot that in jack_prepare. fixed.

2003-11-26 19:02  zarne

	* setup-cursesmodule.py, setup-jack.py, setup.py, doc/ChangeLog: -
	new setup.py for jack's modules and the cursesmodule. jack itself
	still has to be manually installed.

2003-10-12 03:54  zarne

	* README, jack, jack_config.py, jack_freedb.py, jack_functions.py,
	jack_globals.py, jack_helpers.py, jack_main_loop.py,
	jack_prepare.py, jack_tag.py, jack_workers.py, doc/INSTALL: - fixed
	--update-freedb
	
	- declare encoding (newer python wants this)
	
	- 17_authenticated_http-proxy_support_patch
	
	- fixed some deprecation warnings
	
	- 07_continue_various_if_blank_artist
	
	- various bug fixes
	
	- added --strictly-enforce-ISO to lame options
	
	- fix for new cdparanoia screen output format
	
	- print dots while tagging (which can be time consuming, e.g. with
	ID3v2)
	
	- 19_catch_rename_too_long_fix
	
	- slight documentation updates (lots of stuff still missing)

2003-04-30 04:35  zarne

	* jack_checkopts.py, jack_config.py, jack_display.py, jack_init.py,
	jack_tag.py: - ogg tags are now written as utf-8, as required by
	the standard
	
	- cosmetic stuff

2003-04-30 03:49  zarne

	* jack, jack_checkopts.py, jack_config.py, jack_init.py,
	jack_tag.py: - id3v2 support, rejoice! you need
	http://pyid3lib.sourceforge.net/
	
	- small stuff

2003-04-19 01:45  zarne

	* jack_helpers.py: - changed default lame command lines: --r3mix ->
	--alt-preset standard; -h -b <x> -> --alt-preset cbr <x>

2003-04-19 00:55  zarne

	* jack_config.py, jack_freedb.py, jack_functions.py,
	jack_helpers.py, jack_init.py, jack_playorder.py, jack_prepare.py: 
	
	- small bugfixes
	
	- nonfunctional (yet) support for the PLAYORDER field in freedb
	entries
	
	- toc reading more robust

2003-01-22 20:15  zarne

	* jack_helpers.py, jack_main_loop.py, jack_workers.py: - fixed
	missing import signal
	
	- fixed signals for child processes
	
	- CDDB.py toc-reader now closes rip device (sf.net Bugs item
	#664344)

2003-01-22 18:40  zarne

	* jack_config.py, jack_m3u.py, jack_tag.py: - added support for
	creating m3u playlist (as requested)

2003-01-22 18:11  zarne

	* jack, jack_argv.py, jack_checkopts.py, jack_config.py,
	jack_freedb.py, jack_functions.py, jack_generic.py,
	jack_main_loop.py, jack_prepare.py, jack_utils.py, jack_workers.py:
	- quite a number of fixes. Why did nobody complain?

2002-09-05 00:17  zarne

	* jack, jack_checkopts.py, jack_config.py, jack_display.py,
	jack_freedb.py, jack_functions.py, jack_generic.py,
	jack_globals.py, jack_helpers.py, jack_main_loop.py,
	jack_prepare.py, jack_t_curses.py, jack_tag.py, jack_term.py,
	jack_workers.py: 
	
	- more cleanups and bugfixes
	
	- out of ignorance I failed to notice that I already use python-2.2
	features. Who has problems with jack *requiring* python >= 2.2?

2002-09-04 00:34  zarne

	* jack, jack_checkopts.py, jack_config.py, jack_freedb.py,
	jack_functions.py, jack_t_curses.py, jack_term.py: 
	
	- more cleanups
	
	- terminal resizing and xtermset both seem to be ok now

2002-09-03 22:45  zarne

	* jack_readprefs.py: 
	
	- removed unused module jack_readprefs
	
	- jack_generic was not modified, what is CVS trying to tell me?

2002-09-03 21:33  zarne

	* jack, jack_argv.py, jack_freedb.py, jack_functions.py,
	jack_main_loop.py, jack_utils.py, jack_workers.py: 
	
	- cleanups
	
	- use error(), info() and warning() more often

2002-09-03 19:56  zarne

	* jack, jack_argv.py, jack_checkopts.py, jack_config.py,
	jack_constants.py, jack_display.py, jack_encstuff.py,
	jack_freedb.py, jack_functions.py, jack_generic.py,
	jack_globals.py, jack_helpers.py, jack_init.py, jack_main_loop.py,
	jack_misc.py, jack_progress.py, jack_rc.py, jack_ripstuff.py,
	jack_status.py, jack_t_curses.py, jack_targets.py, jack_term.py,
	jack_utils.py, jack_workers.py: 
	
	- things are taking form, ripping and renaming seems to work
	
	- configfile: new format, new filename. save options with --save
	
	- this is still unstable, beta, don't expect too much (except bugs)

2002-09-03 10:42  zarne

	* jack, jack_argv.py, jack_checkopts.py, jack_children.py,
	jack_config.py, jack_display.py, jack_freedb.py, jack_functions.py,
	jack_globals.py, jack_helpers.py, jack_init.py, jack_misc.py,
	jack_readprefs.py, jack_ripstuff.py, jack_status.py,
	jack_t_curses.py, jack_t_dumb.py, jack_tag.py, jack_targets.py,
	jack_term.py, jack_utils.py, jack_version.py, jack_workers.py,
	doc/ChangeLog: 
	
	- work on version 3.0.0 starts now
	
	- don't use this, only the bare minimum functionality is there
	
	- e.g. no config file yet

2002-06-20 14:36  zarne

	* jack: 
	
	- fixed a stupid variable initialisation bug
	
	- fixed another (hope it was the last one) append() with >1 args
	bug

2002-06-13 05:43  zarne

	* jack.man: 
	
	- -F and -f clarified

2002-06-13 05:37  zarne

	* jack: 
	
	- strange that nobody noticed it, but jack couldn't rip CDs with
	only one track on them. fixed.
	
	- some cleanups

2002-06-09 02:06  zarne

	* jack: 
	
	- only import what we use from the curses module

2002-06-09 01:56  zarne

	* jack: 
	
	- jack can use normal curses now (to the extent possible, i.e.
	without reacting to SIGWINCH (terminal window resizing)) (inspired
	by Oleg Broytmann's patch, thanks!)

2002-06-01 17:03  zarne

	* jack: 
	
	* added sloppy ripping mode which is activated by a secret switch

2002-05-25 04:01  zarne

	* jack: 
	
	* to my understanding FLAC produces VBR files. now jack thinks so,
	too.

2002-05-25 03:42  zarne

	* jack: 
	
	* added support for MPEGplus (encoder: mppenc, extension: .mpc)

2002-05-25 01:46  zarne

	* jack.man: 
	
	* typo

2002-05-25 01:44  zarne

	* jack.man: 
	
	* (hopefully) clarify how the -R / --rename option works

2002-05-25 01:36  zarne

	* jack: 
	
	* nobody complained, but I re-added --rename-only with a
	deprecation warning

2002-05-25 00:56  zarne

	* jack, jack.man: 
	
	* renamed option --rename-only to --rename -- old name was
	confusing. I'll revert this if enough people complain.

2002-05-24 15:51  zarne

	* jack: 
	
	* --quality switch for vbr, thanks to Michael Banck for the patch!

2002-05-24 14:17  zarne

	* jack: 
	
	* small changes to the flac patch

2002-05-24 14:15  zarne

	* jack: 
	
	* flac patch from Drew Hess - thanks, great work!

2002-05-24 12:12  zarne

	* jack: 
	
	* hide --charset option from --help if char_filter is not used.
	having no effect, it would then only confuse people.

2002-05-24 12:10  zarne

	* jack: 
	
	* some small cleanups, options reordered
	
	* new char_filter, e.g. for upper->lowercase conversion. should
	work with any character encoding
	
	* new option --charset, see above, default is latin-1
	
	* needs python >= 2.2; can anybody tell me how to do this in python
	< 2.2?

2002-05-04 04:55  zarne

	* jack: 
	
	* fixed Debian Bug#140903 (replacement_chars doesn't work on
	uppercase umlauts) by documenting it - there's no way to "fix" it
	but the workaround is simple: just add the umlauts explicitly to
	unusable_chars and replacement_chars

2002-05-03 00:03  zarne

	* jack: 
	
	* fixed Debian Bug#141781: --upd-progress assumes that the tracks
	are encoded in mp3 format, even if the encoder is oggenc

2002-04-30 01:36  zarne

	* jack: 
	
	* Debian Bug#144996 (jack uses ogg tag "YEAR" instead of "DATE")
	fixed.

2002-04-17 11:55  zarne

	* jack: 
	
	* upped version to 2.99.9
	
	* switch from FCNTL to fcntl module

2002-04-16 09:28  zarne

	* jack.man, doc/ChangeLog: 
	
	* added one example to the manpage
	
	* ChangeLog isn't auto-updated currently, will fix soon

2002-04-15 04:49  zarne

	* jack: 
	
	* update copyright notice, welcome to the year 2002

2002-04-15 04:40  zarne

	* jack: 
	
	* elaborate on the missing permissions for the device problem many
	people have

2002-04-15 03:27  zarne

	* jack: 
	
	* when guess-tocing WAVs you now have the option to truncate them
	if they are noch CDDA-block aligned
	
	* better defaults for genre and year when pre-tagging

2002-04-15 02:23  zarne

	* jack: 
	
	* (re-)enabled correct processing of mixed mode CDs (which have a
	data track 1)
	
	* rewrote and improved toc-reader based on cdda2wav
	
	* corrected an assumption in CDDB.py's toc-reader which thought the
	first track is always numbered 01

2002-04-15 00:32  zarne

	* jack: 
	
	* fixed bugs introduced in rev. 1.42
	
	* made CD-EXTRA really work ;)

2002-04-14 19:36  zarne

	* jack, jack.man: 
	
	* fixed bugs.debian.org/132985 by accepting patch from Martin
	Michlmayr

2002-04-14 18:23  zarne

	* jack: 
	
	* fixed errors ripping CD-EXTRA by double checking the TOC CDDB.py
	reports against what the ripper thinks

2002-02-12 17:25  zarne

	* jack: 
	* "various" is now a global variable
	
	* on VA CDs the artist is now shown while encoding (thanks to
	Martin Michlmayr)

2002-02-11 03:54  zarne

	* jack: 
	* removed the quality switch for oggenc, people say the default (3)
	is good. In a quick listening test with a difficult CD I could not
	spot any obvious flaws. Ogg Vorbis is impressive.

2002-02-06 20:18  zarne

	* README, jack, jack_CDTime.py, jack_TOC.py, jack_TOCentry.py,
	jack_misc.py, jack_mp3.py, setup-cursesmodule.py, setup-jack.py,
	doc/download.html, doc/examples.html, doc/faq.html, doc/index.html,
	doc/install.html, doc/links.html, doc/requirements.html,
	doc/screen.html, doc/todo.html, doc/usage.html: 
	* I prefer jack related email to zarne@users.sf.net now, thanks.

2002-02-06 20:06  zarne

	* jack.man: * corrections
	
	* missing options added (by Michael Banck, thanks.)

2002-02-06 18:48  zarne

	* jack: 
	* use LC_ALL=C, I hope this helps solve the remaining problems with
	localization

2002-02-04 01:17  zarne

	* jack.man: 
	* Michael Banck is too modest get have credits for the manpage.

2002-02-03 18:08  zarne

	* jack: 
	* sendmail is now called as /usr/lib/sendmail. Does anyone still
	use mailsubmit?

2002-02-03 16:57  zarne

	* jack.man: 
	* some edits/corrections/additions

2002-02-03 16:56  zarne

	* jack.man: 
	* initial checkin of the manpage Michael Banck has written for jack

2002-02-03 15:47  zarne

	* jack: 
	* added -QQ which is like -Q but allows you to continue on failed
	queries.

2002-02-03 15:19  zarne

	* jack: 
	* fixed freedb submission by email (I hope, didn't test it)

2002-02-03 15:04  zarne

	* jack: 
	* pretagging now allows setting of genre (%g) and year (%y)
	
	* changed mnemonic for generic_device from %g to %D -- check your
	.jackrc!

2002-02-03 14:31  zarne

	* jack: 
	* workaround for bug in ID3.py which defaults the genre to Blues
	[0]

2002-02-03 14:09  zarne

	* jack: 
	* jack now creates directories even when reading --from-tocfile

2002-02-03 13:31  zarne

	* jack: 
	* Linux OSTYPE is now recognized if it's called linux-gnu (thank
	you dme!)

2002-02-03 13:14  zarne

	* jack: 
	* fixed a bug in VA pretagging, thanks to Martin Michlmayr for the
	patch!

2002-02-03 03:48  zarne

	* jack: 
	* implemented ogg post-tagging for pyvorbis >= 0.5, for real this
	time ;-)
	
	* fixes for local freedb_dir by Matthew Mueller

2002-02-03 03:20  zarne

	* jack: 
	* increased status_blocksize from 56 to 64 for oggenc.
	
	* implemented ogg post-tagging for pyvorbis >= 0.5, thanks to
	Michael Banck!
	
	* oggenc is now called with -q 5 instead of a bitrate parameter.
	True VBR now.
	
	* [ Sorry, I was terribly busy in the recent past. ]
	
	* [ There's still a huge backlog.]

2001-11-12 06:36  zarne

	* jack: 
	- small code cleanup (the category chooser is one function now
	instead of 3 instances)
	
	- freedb category is now remembered, useful for submitting updated
	entries
	
	- bug fixed: entering "0" as category used last category instead of
	aborting

2001-11-09 19:34  zarne

	* jack: 
	- added option --wait (wait on quit)
	
	- added option --workdir (where to put files / dirs, == base_dir)
	
	- added option --search (where to search for workdir, appends to
	searchdirs)
	
	- create all dirs leading to workdir

2001-11-08 19:57  zarne

	* jack: 
	This patch - provided by Martin Michlmayr - does this:
	
	- use float and int instead of atof and atoi.  The latter are
	deprecated (see Python documentation). (The jack_*.py modules need
	to be overhauled likewise)
	
	- Check if an input string is really an integer and don't fail if
	it's not.
	
	- Check the range of tracks in the -t arguments and ignore invalid
	tracks.

2001-11-08 02:22  zarne

	* jack: 
	now that 2.99.7 is out, bump version to 2.99.8

2001-11-08 02:20  zarne

	* jack, setup-cursesmodule.py, doc/ChangeLog, doc/INSTALL: 
	- get rid of compiler warnings with -Wno-strict-prototypes
	
	- put the two unused functions which gcc complains about to use

2001-11-07 18:52  zarne

	* doc/: ChangeLog, index.html: 
	- index.html points to ChageLog instead of CHANGELOG now
	
	- ChangeLog will contain the more recent changes now, CHANGELOG the
	very old ones. ChangeLog will NOT be up-to date in cvs BUT in
	releases.

2001-11-07 18:43  zarne

	* doc/CHANGELOG: - prepared it for automatic actualization,
	released versions contain the CVS log from now on. CHANGELOG is now
	a template from which ChangeLog is generated when releasing, CVS
	will contain both in a undefined state.

2001-11-07 18:08  zarne

	* jack: - version is now 2.99.7
	
	- use termios instead of TERMIOS to make python2 happy
	
	- works with python2 now, I tested/use 2.1.1
	
	- tell people what to do if modules are missing
	
	- re-organized .jackrc, unfortunately everybody has to re-gen it
	now
	
	- with luck, this is the last time everybody has to re-gen it :)
	
	- tried xtermset again and found that it still works
	
	- try it!
	
	- updated gogo helper, thanks to José Antonio Pérez Sánchez
	
	- compile helpers, this works in python2. comment out if you have
	problems.
	
	- changed the execs to make python2 happy
	
	- encoders, rippers and freedb servers are listed if specified
	doesn't exist
	
	- we're close to 3.0

2001-11-07 18:08  zarne

	* README: removed version, I keep to forget to update it

2001-10-11 00:38  zarne

	* README, jack, doc/INSTALL: - fixed "tag" info for Ogg/Vorbis
	
	- fall back to CBR if selected encoder does not support VBR  
	(thanks to Michael Banck for finding both issues)
	
	- removed version info from doc/INSTALL because I keep to forget to
	update it

2001-10-10 23:21  zarne

	* jack: - changed http Submit-Mode from test to submit (oops)

2001-10-10 21:57  zarne

	* jack: - Version is now (since 2 commits actually) 2.99.6
	
	- cursesmodule was renamed to jack_cursesmodule to avoid conflicts
	
	- re-organized .jackrc
	
	- fixed freedb-sources
	
	- default encoder is now oggenc (which can only do vbr)
	
	- default naming scheme has been changed to   "Artist - Album - 01
	- Tracktitle.[ext]"
	
	- fixed resizing (more precisely I removed a hack which made it
	work for   me on RedHat 6.2)
	
	- workaround for illegal freedb entries with empty album name

2001-10-10 18:43  zarne

	* doc/TODO: Todo: write get_toc for ogg/vorbis

2001-10-10 18:39  zarne

	* README: - state that oggenc is now the default

2001-10-10 18:29  zarne

	* setup-cursesmodule.py, doc/CHANGELOG, doc/INSTALL, doc/TODO: 
	- Version is now (since 2 commits actually) 2.99.6
	
	- cursesmodule was renamed to jack_cursesmodule to avoid conflicts
	
	- the URL in CHANGELOG has been fixed (missing www.)
	
	- updated TODO
	
	- re-organized .jackrc
	
	- fixed freedb-sources
	
	- default encoder is now oggenc (which can only do vbr)
	
	- default naming scheme has been changed to   "Artist - Album - 01
	- Tracktitle.[ext]"
	
	- fixed resizing (more precisely I removed a hack which made it
	work for   RedHat 6.2)

2001-10-06 07:14  zarne

	* jack: fixed the bug which prevented successful ogg tagging
	(Bender, you really should not program when you're sober!)

2001-10-06 00:14  zarne

	* README, jack: 
	started Ogg Vorbis support which seems to work, there's still a bug
	concerning the ogg info data. I'll try to fix that one later.
	
	Jack can now be extended to use any target format.

2001-08-31 22:27  zarne

	* README, doc/INSTALL: 
	clarified (I hope) the installation procedure

2001-08-31 06:29  zarne

	* ID3.py, cursesmodule-1.5b2.patch: 
	ID3 is available separately, the patch was moved into the
	cursesmodule subdir.

2001-08-31 06:26  zarne

	* setup-cursesmodule.py, setup-jack.py: 
	inital checkin. anyone else I forgot?

2001-08-31 06:09  zarne

	* jack, jack_TOCentry.py, jack_mp3.py, doc/INSTALL: 
	* bumped version to 2.9.5
	
	* include my patched cursesmodule now, together with a distutils
	installer
	
	* removed ID3.py, this and CDDB.py must be downloaded and installed
	separately   (instructions included)
	
	* runs on python2 again, don't know whether it works
	
	* lots of changes, fixes -- I lost track

2001-03-14 07:32  zarne

	* jack_mp3.py: Why hasn't this been in CVS before??? :]
	
	- huge performance gain
	
	- better (more accurate) frame syncing (two consecutive rames are
	searched for now)
	
	- more robust now
	
	- VBR bitrates are now returned as a float
	
	- preliminary ID3v2 support (corrently only the version number is
	extracted and the tag is skipped)
	
	- new info: bpf and framesize
	
	- better detection of Xing tags

2001-03-14 07:23  zarne

	* ID3.py: - small fixes
	
	- replaced tabs by spaces
	
	- this is not a official version now, I will sync this with
	official 1.0 soon.

2001-03-14 07:19  zarne

	* README, jack, doc/INSTALL: - support for freedb files which have
	track title or artist stored in the EXTT fields
	
	- toc reading for cdparanois disabled because it's incomplete for
	CD EXTRA
	
	- added support for CDDB.py, available at
	http://cddb-py.sourceforge.net/ (currently only toc reading) this
	is now the default
	
	- fixed a bug triggered by tocfiles containing quotes on the file
	name
	
	- added support for EXDD=YEAR:	ID3G, who can tell me who set this
	"standard"?
	
	- CRs are now ignored in freedb files
	
	- added "Sampler" and "Diverse" to the list of various artists
	tokens
	
	- -G none now sets the ID3v1 genre to 255("unknown")
	
	- print year and genre when finished (if available)

2000-11-21 02:47  zarne

	* jack: *** .jackrc option to disable http_proxy *** replace x -> ×
	for speed factors *** sys.stdin.flush() removed, impossible :-).
	What's the "correct" way to flush stdin? fcntl with O_NONBLOCK,
	then reading (and discarding) until nothing is read? Is there an
	easy way? *** jack.freedb now has as many spaces in front of the
	MSF offsets as your favorite CD player *** some reformatting

2000-11-02 20:27  zarne

	* jack: 1) reformatted helpers{} 2) show_time = 1 and show_names =
	1 are now defaults 3) it's now called 2.99.4 (actually since the
	last commit)

2000-11-02 02:08  zarne

	* jack: 1) renamed id -> cd_id; id is a reserved word in python. 
	2) ignore data tracks, tested with cdparanoia only 3) quit if there
	are no audio tracks (to do) 4) --abort-on-skip is now the default
	for cdparanoia, change it if you    don't like it 5) call it 2.99.4
	
	cosmetic changes: 1) more straighforward displays 2) show_time now
	saves space by reducing track_names to their number.	 Thus the
	"normal" line for a track fits into 80 columns again.  3) Show
	freedb-id and total playing time in Options line 4) try to show
	Options line when exiting
	
	"do only one change per commit" is for sissies :-).

2000-08-13 20:16  zarne

	* jack: forgot this one in the previous commit

2000-08-13 20:13  zarne

	* README, doc/CHANGELOG, doc/examples.html: fixed some strings to
	indicate that freedb now supports entry submission with HTTP POST
	(option --submit)

2000-08-13 19:26  zarne

	* jack: added a check for an existing destination directory

2000-08-11 03:24  zarne

	* jack: added WAV to the file types --guess-toc recognizes
	internal: progress now also takes a tuple containing the args

2000-08-11 00:02  zarne

	* jack: changed the short option for --update-freedb from -u to -U
	because of conflicts. Thanks to C. Marquardt for finding what I do
	when I program late at night :-).

2000-08-09 04:52  zarne

	* ID3.py, jack: jack can now "update", i.e. re-generate freedb
	files (new option -u) updated ID3 module so that it supports
	ID3v1.1 track info jack now sets ID3v1.1 track info

2000-08-08 08:17  zarne

	* jack: added xing vbr tag decoding. Not used much yet, but -g now
	works on vbr mp3s

2000-08-08 01:32  zarne

	* jack: fixed for new versions of gogo; vbr display enhancements
	and cosmetics

2000-06-28 02:23  zarne

	* jack: fixed a misleading error message

2000-06-26 16:12  zarne

	* doc/faq.html: Added one FAQ entry, fixed one typo.

2000-06-21 01:23  zarne

	* jack: fixed (cosmetic) display bug when using image-file

2000-05-11 16:51  zarne

	* jack: update to my current development version

2000-05-11 16:32  zarne

	* ID3.py, README, jack, cursesmodule-1.5b2.patch, jack_CDTime.py,
	jack_TOC.py, jack_TOCentry.py, jack_misc.py, doc/faq.html,
	doc/gpl.txt, doc/index.html, doc/install.html, doc/screen.html,
	doc/jack-logo.jpg, doc/requirements.html, doc/usage.html,
	doc/download.html, doc/examples.html, doc/jack-screen.gif,
	doc/download.gif, doc/main.gif, doc/requirements.gif,
	doc/screen.gif, doc/usage.gif, doc/install.gif, doc/links.gif,
	doc/links.html, doc/CHANGELOG, doc/anim.written.in.vi.gif,
	doc/mine.css, doc/INSTALL, doc/jack-curses-screen.gif, doc/TODO,
	doc/todo.html: initial import of jack-2.99.0-pre

2000-05-11 16:32  zarne

	* ID3.py, README, jack, cursesmodule-1.5b2.patch, jack_CDTime.py,
	jack_TOC.py, jack_TOCentry.py, jack_misc.py, doc/faq.html,
	doc/gpl.txt, doc/index.html, doc/install.html, doc/screen.html,
	doc/jack-logo.jpg, doc/requirements.html, doc/usage.html,
	doc/download.html, doc/examples.html, doc/jack-screen.gif,
	doc/download.gif, doc/main.gif, doc/requirements.gif,
	doc/screen.gif, doc/usage.gif, doc/install.gif, doc/links.gif,
	doc/links.html, doc/CHANGELOG, doc/anim.written.in.vi.gif,
	doc/mine.css, doc/INSTALL, doc/jack-curses-screen.gif, doc/TODO,
	doc/todo.html: Initial revision

